FieldAnalysisRequest (Solr 3.6.2 API)
Keywords: org.apache.solr.client.solrj.request.FieldAnalysisRequest class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.client.solrj.request
Class FieldAnalysisRequest

    java.lang.Object
      org.apache.solr.client.solrj.SolrRequest
          org.apache.solr.client.solrj.request.FieldAnalysisRequest

All Implemented Interfaces:
  Serializable

    public class FieldAnalysisRequest

extends SolrRequest

A request for the org.apache.solr.handler.DocumentAnalysisRequestHandler.

Since:
  solr.14
Version:
  $Id: FieldAnalysisRequest.java 1053583 2010-12-29 09:38:12Z ryan $
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest
`SolrRequest.METHOD`

Constructor Summary
`FieldAnalysisRequest()` Constructs a new FieldAnalysisRequest with a default uri of "/fieldanalysis".
`FieldAnalysisRequest(String uri)` Constructs a new FieldAnalysisRequest with a given uri.

Method Summary
`FieldAnalysisRequest` | `addFieldName(String fieldName)` Adds the given field name for analysis.
`FieldAnalysisRequest` | `addFieldType(String fieldTypeName)` Adds the given field type for analysis.
`Collection<ContentStream>` | `getContentStreams()`
`List<String>` | `getFieldNames()` Returns a list of field names the analysis should be performed on.
`List<String>` | `getFieldTypes()` Returns a list of field types the analysis should be performed on.
`String` | `getFieldValue()` Returns the field value that will be analyzed when this request is processed.
`SolrParams` | `getParams()`
`String` | `getQuery()` Returns the query that will be analyzed.
`boolean` | `isShowMatch()` Returns whether index time tokens that match query time tokens should be marked as a "match".
`FieldAnalysisResponse` | `process(SolrServer server)`
`FieldAnalysisRequest` | `setFieldNames(List<String> fieldNames)` Sets the field names on which the analysis should be performed.
`FieldAnalysisRequest` | `setFieldTypes(List<String> fieldTypes)` Sets the field types on which analysis should be performed.
`FieldAnalysisRequest` | `setFieldValue(String fieldValue)` Sets the field value to be analyzed.
`FieldAnalysisRequest` | `setQuery(String query)` Sets the query to be analyzed.
`FieldAnalysisRequest` | `setShowMatch(boolean showMatch)` Sets whether index time tokens that match query time tokens should be marked as a "match".

Methods inherited from class org.apache.solr.client.solrj.SolrRequest
`getMethod, getPath, getResponseParser, setMethod, setPath, setResponseParser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FieldAnalysisRequest

    public FieldAnalysisRequest()

  Constructs a new FieldAnalysisRequest with a default uri of "/fieldanalysis".

### FieldAnalysisRequest

    public FieldAnalysisRequest(String uri)

  Constructs a new FieldAnalysisRequest with a given uri.

  Parameters:
    `uri` - the uri of the request handler.

Method Detail

### getContentStreams

    public Collection<ContentStream> getContentStreams()
                                                throws IOException

  Specified by:
    `getContentStreams` in class `SolrRequest`
  Throws:
    `IOException`

### getParams

    public SolrParams getParams()

  Specified by:
    `getParams` in class `SolrRequest`

### process

    public FieldAnalysisResponse process(SolrServer server)
                                  throws SolrServerException,
                                         IOException

  Specified by:
    `process` in class `SolrRequest`
  Throws:
    `SolrServerException`
    `IOException`

### setFieldValue

    public FieldAnalysisRequest setFieldValue(String fieldValue)

  Sets the field value to be analyzed.

  Parameters:
    `fieldValue` - The field value to be analyzed.
  Returns:
    This FieldAnalysisRequest (fluent interface support).

### getFieldValue

    public String getFieldValue()

  Returns the field value that will be analyzed when this request is processed.

  Returns:
    The field value that will be analyzed when this request is processed.

### setQuery

    public FieldAnalysisRequest setQuery(String query)

  Sets the query to be analyzed. May be `null` indicated that no query analysis should take place.

  Parameters:
    `query` - The query to be analyzed.
  Returns:
    This FieldAnalysisRequest (fluent interface support).

### getQuery

    public String getQuery()

  Returns the query that will be analyzed. May return `null` indicating that no query analysis will be performed.

  Returns:
    The query that will be analyzed. May return `null` indicating that no query analysis will be performed.

### setShowMatch

    public FieldAnalysisRequest setShowMatch(boolean showMatch)

  Sets whether index time tokens that match query time tokens should be marked as a "match". By default this is set to `false`. Obviously, this flag is ignored if when the query is set to `null`.

  Parameters:
    `showMatch` - Sets whether index time tokens that match query time tokens should be marked as a "match".
  Returns:
    This FieldAnalysisRequest (fluent interface support).

### isShowMatch

    public boolean isShowMatch()

  Returns whether index time tokens that match query time tokens should be marked as a "match".

  Returns:
    Whether index time tokens that match query time tokens should be marked as a "match".
  See Also:
    `setShowMatch(boolean)`

### addFieldName

    public FieldAnalysisRequest addFieldName(String fieldName)

  Adds the given field name for analysis.

  Parameters:
    `fieldName` - A field name on which the analysis should be performed.
  Returns:
    this FieldAnalysisRequest (fluent interface support).

### setFieldNames

    public FieldAnalysisRequest setFieldNames(List<String> fieldNames)

  Sets the field names on which the analysis should be performed.

  Parameters:
    `fieldNames` - The field names on which the analysis should be performed.
  Returns:
    this FieldAnalysisRequest (fluent interface support).

### getFieldNames

    public List<String> getFieldNames()

  Returns a list of field names the analysis should be performed on. May return `null` indicating that no analysis will be performed on field names.

  Returns:
    The field names the analysis should be performed on.

### addFieldType

    public FieldAnalysisRequest addFieldType(String fieldTypeName)

  Adds the given field type for analysis.

  Parameters:
    `fieldTypeName` - A field type name on which analysis should be performed.
  Returns:
    This FieldAnalysisRequest (fluent interface support).

### setFieldTypes

    public FieldAnalysisRequest setFieldTypes(List<String> fieldTypes)

  Sets the field types on which analysis should be performed.

  Parameters:
    `fieldTypes` - The field type names on which analysis should be performed.
  Returns:
    This FieldAnalysisRequest (fluent interface support).

### getFieldTypes

    public List<String> getFieldTypes()

  Returns a list of field types the analysis should be performed on. May return `null` indicating that no analysis will be peformed on field types.

  Returns:
    The field types the analysis should be performed on.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD